For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • GET/custom-object-classes
          • GET/custom-object-classes/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Custom ObjectsCustom object classes

/custom-object-classes/{id}

Beta
GET
/crm/v1/custom-object-classes/:id
GET
/api/crm/v1/custom-object-classes/:id
$curl -G https://api.merge.dev/api/crm/v1/custom-object-classes/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=fields
200Retrieved
1{
2 "id": "ff1ff4cb-a66b-47dc-8e2a-50388049e602",
3 "remote_id": "9579977",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "order",
7 "description": "Order object",
8 "labels": {
9 "singular": "Order",
10 "plural": "Orders"
11 },
12 "fields": [
13 {
14 "display_name": "Order ID",
15 "remote_key_name": "order_id",
16 "description": "The unique ID for the order.",
17 "is_required": true,
18 "field_type": "string",
19 "field_format": "string",
20 "field_choices": [],
21 "item_schema": {
22 "item_type": "string",
23 "item_format": "string",
24 "item_choices": [
25 "string"
26 ]
27 },
28 "is_nested_list": false
29 },
30 {
31 "display_name": "Order Quantity",
32 "remote_key_name": "order_quantity",
33 "description": "The number of items ordered.",
34 "is_required": true,
35 "field_type": "number",
36 "field_format": "number",
37 "field_choices": [],
38 "item_schema": {
39 "item_type": "string",
40 "item_format": "string",
41 "item_choices": [
42 "string"
43 ]
44 },
45 "is_nested_list": false
46 },
47 {
48 "display_name": "Customer Type",
49 "remote_key_name": "customer_type",
50 "description": "The type of customer.",
51 "is_required": true,
52 "field_type": "string",
53 "field_format": "string",
54 "field_choices": [
55 "New",
56 "Returning"
57 ],
58 "item_schema": null,
59 "is_nested_list": false
60 }
61 ],
62 "association_types": [
63 {}
64 ]
65}

Returns a CustomObjectClass object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/custom-object-classes

Next

/custom-object-classes/{custom_object_class_id}/custom-objects

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
modified_atdatetimeRead-only
namestring or null
The custom object class's name.
descriptionstring or null
The custom object class's description.
labelsmap from strings to stringsRead-only
The custom object class's singular and plural labels.
fieldslist of objectsRead-only
association_typeslist of maps from strings to any or nullRead-only
The types of associations with other models that the custom object class can have.